Subject: Re: Build failure on treeboot-walnut.cg

From: Timur Tabi <[email-masked]>
Date: Tue, 09 Oct 2007 11:06:05 -0500

David Gibson wrote:

> Policy.  Compiling everything means build bugs - like this one - can
> be found by everybody, not just those building for the specific
> obscure platform.

Is this a new policy?  Modules in the kernel are not built unless you want 
them.  Even in arch/powerpc/platforms, only the specific platform file I'm 
targeting is built.  So I don't really understand why you claim it's normal 
for platform-specific files to be built, regardless of the actual platform.

And frankly, I don't like this "policy".  Build bugs for 4xx should not 
interfere in my 83xx development.  I can't build any kernels now because of 
this bug!

-- 
Timur Tabi
Linux Kernel Developer @ Freescale